<?php
/*
Plugin Name: ChenPress
Plugin URI: http://groups-beta.google.com/group/ChenPress
Description: Replace the default editor with <a href="http://www.fckeditor.net/">the best WYSIWYG editor: FCKeditor 2.0 Final</a>.
Version: 3.0
Author: W. Chen
Author URI: http://www.irm.cn/
*/


/////////////////////////////////////////////////////////
///////////////  Global Configuration  //////////////////

// Path to FCKeditor relative to "/wp-admin/admin.php"
global $fckeditor_path;
$fckeditor_path = "../wp-content/plugins/chenpress/fckeditor/" ;

// Height of FCKeditor
global $fckeditor_size;
$fckeditor_size = 400;

// Nuke Quicktages
ob_start('nuke_the_quicktags');
function nuke_the_quicktags( $lookmanoqtags ) {
	$lookmanoqtags = preg_replace('|<div id="quicktags">.*?</div>|s', '', $lookmanoqtags);
	return $lookmanoqtags;
}

/////////////////////////////////////////////////////////
////////////////  WordPress Plugin Hooks  ///////////////

function insert_chenpress() {
	global $fckeditor_path; ?>
    <script type="text/javascript" src="<?php echo $fckeditor_path; ?>fckeditor.js"></script><?php
}

function insert_chenpress_load(){
	global $fckeditor_path;
	global $fckeditor_size; ?>
    <script type="text/javascript">
		window.onload = function(){
			var oFCKeditor = new FCKeditor( 'content' ) ;
		    oFCKeditor.BasePath = "<?php echo $fckeditor_path; ?>" ;
			oFCKeditor.Height = "<?php echo $fckeditor_size; ?>" ;
	        oFCKeditor.ToolbarSet = "WordPressTool" ;
			oFCKeditor.ReplaceTextarea() ;
		}
	</script><?php
}

add_action('admin_head','insert_chenpress');
add_action('admin_footer','insert_chenpress_load');
?>